package org.dromara.system.service;

import org.dromara.system.domain.FormalParentsStudent;
import org.dromara.system.domain.vo.FormalParentsStudentVo;
import org.dromara.system.domain.bo.FormalParentsStudentBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 家长-学生(审核通过之后数据)Service接口
 *
 * @author Lion Li
 * @date 2023-08-16
 */
public interface IFormalParentsStudentService {

    /**
     * 查询家长-学生(审核通过之后数据)
     */
    FormalParentsStudentVo queryById(Long id);

    /**
     * 查询家长-学生(审核通过之后数据)列表
     */
    TableDataInfo<FormalParentsStudentVo> queryPageList(FormalParentsStudentBo bo, PageQuery pageQuery);

    /**
     * 查询家长-学生(审核通过之后数据)列表
     */
    List<FormalParentsStudentVo> queryList(FormalParentsStudentBo bo);

    /**
     * 新增家长-学生(审核通过之后数据)
     */
    Boolean insertByBo(FormalParentsStudentBo bo);

    /**
     * 修改家长-学生(审核通过之后数据)
     */
    Boolean updateByBo(FormalParentsStudentBo bo);

    /**
     * 校验并批量删除家长-学生(审核通过之后数据)信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    TableDataInfo<FormalParentsStudentVo> selectFormalParentsStudentListNoPage(FormalParentsStudentBo bo);
}
